org.rrd4j.core

## Class ArcDef

- java.lang.Object
- - org.rrd4j.core.ArcDef

-     public class ArcDef
      extends Object

  Class to represent single archive definition within the RRD. Archive definition consists of the following four elements:
  - consolidation function
  - X-files factor
  - number of steps
  - number of rows.
  For the complete explanation of all archive definition parameters, see RRDTool's rrdcreate man page

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArcDef(ConsolFun consolFun, double xff, int steps, int rows)` Creates new archive definition object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `dump()` Returns string representing archive definition (RRDTool format).
    `boolean` | `equals(Object obj)`
    `(package private) boolean` | `exactlyEqual(ArcDef def)`
    `ConsolFun` | `getConsolFun()` Returns consolidation function.
    `int` | `getRows()` Returns the number of rows (aggregated values) stored in the archive.
    `int` | `getSteps()` Returns the number of primary RRD steps which complete a single archive step.
    `double` | `getXff()` Returns the X-files factor.
    `int` | `hashCode()`
    `(package private) void` | `setRows(int rows)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArcDef

          public ArcDef(ConsolFun consolFun,
                        double xff,
                        int steps,
                        int rows)

      Creates new archive definition object. This object should be passed as argument to `addArchive()` method of `RrdDb` object.

      For the complete explanation of all archive definition parameters, see RRDTool's rrdcreate man page

      Parameters:
        `consolFun` - Consolidation function. Allowed values are "AVERAGE", "MIN", "MAX", "LAST" and "TOTAL" (these string constants are conveniently defined in the `ConsolFun` class).
        `xff` - X-files factor, between 0 and 1.
        `steps` - Number of archive steps.
        `rows` - Number of archive rows.

  - ### Method Detail

    - #### dump

          public String dump()

      Returns string representing archive definition (RRDTool format).
      Returns:
        String containing all archive definition parameters.

    - #### equals

          public boolean equals(Object obj)

      Checks if two archive definitions are equal. Archive definitions are considered equal if they have the same number of steps and the same consolidation function. It is not possible to create RRD with two equal archive definitions.

      Overrides:
        `equals` in class `Object`

    - #### exactlyEqual

          boolean exactlyEqual(ArcDef def)

    - #### getConsolFun

          public ConsolFun getConsolFun()

      Returns consolidation function.
      Returns:
        Consolidation function.

    - #### getRows

          public int getRows()

      Returns the number of rows (aggregated values) stored in the archive.
      Returns:
        Number of rows.

    - #### getSteps

          public int getSteps()

      Returns the number of primary RRD steps which complete a single archive step.
      Returns:
        Number of steps.

    - #### getXff

          public double getXff()

      Returns the X-files factor.
      Returns:
        X-files factor value.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### setRows

          void setRows(int rows)